import React, { useContext } from 'react';
import reducer, { initialState } from './reducer';
var SupersetContext = /*#__PURE__*/React.createContext({
  orderBy: "interacciones"
});
export var SupersetProvider = _ref => {
  var {
    children
  } = _ref;
  var [state, dispatch] = React.useReducer(reducer, initialState);
  return /*#__PURE__*/React.createElement(SupersetContext.Provider, {
    value: {
      state,
      dispatch
    }
  }, children);
};
export var useSupersetContext = () => {
  return useContext(SupersetContext);
};